#
# spec file for package classmate
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global upstream_name java-classmate-classmate

Name:           classmate
Version:        1.5.1
Release:        6.40
License:        Apache-2.0
Summary:        Library for introspecting types in Java
URL:            http://github.com/FasterXML/java-classmate
Group:          Development/Libraries/Java
Source0:        https://github.com/FasterXML/java-classmate/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  java-devel
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  xz
BuildRequires:  mvn(com.fasterxml:oss-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildArch:      noarch
Requires:       java

%description
ClassMate is a zero-dependency Java library for accurately introspecting type information, including reliable resolution of generic type declarations for both classes ("types") and members (fields, methods and constructors).

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n "%{upstream_name}-%{version}"
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :moditect-maven-plugin

%build
%mvn_build -f -- \
    -Dmaven.compiler.release=8 \
    -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Jun 19 2022 Michael Calmer <mc@suse.com>
- update to version 1.5.1 (jsc#SLE-23217)
  * 1.5.1 (20-Oct-2019)
    + Patch release to satisfy odd metadata requirements of a
    security tool (wrt https/http for `url` in pom.xml)
  * 1.5.0 (23-Mar-2019)
    + #43: Missing synchronization on `ResolvedObjectType#getConstructors`
    (reported by pkwarren@github)
    + Add JDK9+ module-info using Moditect plugin
  * 1.4.0 (27-Mar-2018)
    + #41: Make cache used by `TypeResolver` pluggable; offer concurrent
    variant in addition to LRU
- build with xmvn
- Removed: build.sh
* Tue Dec 11 2018 moio@suse.com
- upgrade to minor version forward-compatible with Hibernate 5.3
  - 1.3.4: #38: Add `Automatic-Module-Name` for JDK9 interoperability
  - 1.3.3: #33: "ghost" type parameter in field
  - 1.3.2: #30: ArrayIndexOutOfBoundsException when resolving Object.class
  - 1.3.1 Fix a problem with caching of subtype-extended types, causing problems due to mutable `TypePlaceHolder`
- Remove:
  * classmate-1.3.0-jdk9.patch (obsoleted)
* Tue Nov  7 2017 moio@suse.com
- Fix build for JDK9
- Add:
  * classmate-1.3.0-jdk9.patch.new
- Changed:
  * build.sh
* Thu Sep  1 2016 moio@suse.com
- Initial version
